"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unique = exports.Unique = exports.UniqueBuilder = void 0;
class UniqueBuilder {
    constructor(name, column) {
        this.name = name;
        this.column = column;
    }
    /** @internal */
    build(table) {
        return new Unique(table, this);
    }
}
exports.UniqueBuilder = UniqueBuilder;
class Unique {
    constructor(table, builder) {
        this.table = table;
        this.name = builder.name;
        this.column = builder.column;
    }
}
exports.Unique = Unique;
function unique(name, column) {
    return new UniqueBuilder(name, column);
}
exports.unique = unique;
//# sourceMappingURL=unique-constraint.js.map